Subject: Re: bug#7583: 23.2; ido loads tramp too eagerly

From: Stefan Monnier <[email-masked]>
Date: Tue, 18 Oct 2011 09:22:56 -0400

>>> /sudo: ==> tramp try to connect
>> Again, where does Tramp try to connect in this case?
> No where, that's the problem.

I don't understand.  Please be specific:
1- does it try to start a Tramp session?
2- do you want it to try to start a Tramp session?
3- where does it try to connect?

>From what I understand you're saying that (1) is true, and that (2) is
false, whereas in my experience (1) is false.
Also I don't know what it means for Tramp to "try to connect to nowhere".

>>> we expect tramp to connect only when we have:
>>> /sudo:: and not before (i.e before entering the second ":").
>> When I do C-x C-f /ssh: TAB Tramp does not try to connect to anything,
>> it just shows me some hostname completion.
> Because this implementation works for vanilla Emacs completion, but is
> unusable elsewhere. (like try-completion)

"vanilla Emacs completion" uses try-completion, so you must thinking of
some other "elsewhere".  What is that other "elsewhere"?

>>> But I have no problem here with my code (anything), 
>>> it seem the problem is in ido and/or icomplete.
>> I get the same behavior with or without icomplete-mode.  I think we need
>> you to give us a more specific recipe.
> So it's ok if it works, just forget it.

Are you saying that the problem you reported only affects older Emacsen
and has been fixed in the trunk?

        Stefan